Product Search

    SEARCH NOW FOR ALL YOUR NOVOTECHNIK SOLUTIONS

    Radwell is here to supply you with all your plant floor needs.

    Radwell is not an authorised distributor, reseller or representative of the products featured on this website. All product names, trademarks, brands and logos used on this site are the property of their respective owners. The depiction, description or sale of products featuring these names, trademarks, brands and logos is for identification purposes only and is not intended to indicate any affiliation with or authorisation by any rights holder.

    Filter Results
    Results 151-200 of 597.
    NOVOTECHNIK Z-TLM-P05

    NOVOTECHNIK

    Z-TLM-P05

    DISCONTINUED BY MANUFACTURER, GUIDED POSITION MARKER
    Buy Surplus As Low As €171.49 Price with VAT: €204.08
    €171.49 Price with VAT: €204.08
    NOVOTECHNIK RFC4851-636-122-501

    NOVOTECHNIK

    RFC4851-636-122-501

    ROTARY POTENTIOMETER
    €259.92 Price with VAT: €309.30 Buy Surplus As Low As €130.41 Price with VAT: €155.18
    €130.41 Price with VAT: €155.18
    NOVOTECHNIK EEM 33-24

    NOVOTECHNIK

    EEM 33-24

    108029, MQS FEMALE CONNECTOR WITH 1 METER WIRES, RSA / RSC32 /RFE
    €35.73 Price with VAT: €42.52 Buy Surplus As Low As €21.44 Price with VAT: €25.51
    €21.44 Price with VAT: €25.51
    NOVOTECHNIK TS-0100 #023235

    NOVOTECHNIK

    TS-0100 #023235

    PNEUMATIC TRANSDUCER, POSITION, UP TO 100 MM
    €412.99 Price with VAT: €491.46 Buy Surplus As Low As €236.36 Price with VAT: €281.26
    €236.36 Price with VAT: €281.26
    NOVOTECHNIK LWG 0375

    NOVOTECHNIK

    LWG 0375

    104726, M12 CONNECTOR MODELS:, LINEAR ROD-TYPE POTENTIOMETER WITH PIVOT BEARING MOUNT
    €953.04 Price with VAT: €1,134.11 Buy Surplus As Low As €572.54 Price with VAT: €681.32
    €572.54 Price with VAT: €681.32
    NOVOTECHNIK LWG 0325

    NOVOTECHNIK

    LWG 0325

    104725, M12 CONNECTOR MODELS:, LINEAR ROD-TYPE POTENTIOMETER WITH PIVOT BEARING MOUNT
    €894.09 Price with VAT: €1,063.96 Buy Surplus As Low As €536.81 Price with VAT: €638.80
    €536.81 Price with VAT: €638.80
    NOVOTECHNIK IPE 6501 S0056

    NOVOTECHNIK

    IPE 6501 S0056

    ROTARY POTENTIOMETER, 010041, SHAFT TYPE, LINEAR OUTPUT
    €1,321.03 Price with VAT: €1,572.03 Buy Surplus As Low As €793.16 Price with VAT: €943.86
    €793.16 Price with VAT: €943.86
    NOVOTECHNIK GP 3 P 4501 A502

    NOVOTECHNIK

    GP 3 P 4501 A502

    009101, MULTI-TURN ROTARY POTENTIOMETER WITH 3, 5 OR 10 TURNS,
    €741.35 Price with VAT: €882.21 Buy Surplus As Low As €444.81 Price with VAT: €529.32
    €444.81 Price with VAT: €529.32
    NOVOTECHNIK EEM 33-78

    NOVOTECHNIK

    EEM 33-78

    005621, STRAIGHT, 7 PIN, IP67, AW
    €75.92 Price with VAT: €90.35 Buy Surplus As Low As €45.55 Price with VAT: €54.21
    €45.55 Price with VAT: €54.21
    NOVOTECHNIK EEM 33-34

    NOVOTECHNIK

    EEM 33-34

    005666, MQS FEMALE CONNECTOR KIT, RSA / RSC32 /RFE
    €68.78 Price with VAT: €81.84 Buy Surplus As Low As €41.98 Price with VAT: €49.96
    €41.98 Price with VAT: €49.96
    NOVOTECHNIK RFC-4853-636-121-202

    NOVOTECHNIK

    RFC-4853-636-121-202

    HALL EFFECT POSITION SENSOR,PPR CURRENT SIGNAL,1024 PPR
    €199.43 Price with VAT: €237.32 Buy Surplus As Low As €119.08 Price with VAT: €141.71
    €119.08 Price with VAT: €141.71
    NOVOTECHNIK Z-TP1-P08

    NOVOTECHNIK

    Z-TP1-P08

    SLIDER POSITION MAGNET, GUIDED POSITION INDICATOR FOR TP1, ITEM # 005695
    €50.91 Price with VAT: €60.59 Buy Surplus As Low As €31.26 Price with VAT: €37.20
    €31.26 Price with VAT: €37.20
    NOVOTECHNIK Z-RFC-P08

    NOVOTECHNIK

    Z-RFC-P08

    POSITION MARKER, FOR FRONTAL FIXATION, WITH 2 SCREWS, OR WITH THREADED PIN M5
    €36.09 Price with VAT: €42.94 Buy Surplus As Low As €22.55 Price with VAT: €26.84
    €22.55 Price with VAT: €26.84
    NOVOTECHNIK LWH-0550

    NOVOTECHNIK

    LWH-0550

    024522, LINEAR ROD-TYPE POTENTIOMETER WITH CLAMP MOUNTING,
    €1,053.08 Price with VAT: €1,253.16 Buy Surplus As Low As €632.38 Price with VAT: €752.53
    €632.38 Price with VAT: €752.53
    NOVOTECHNIK EEM 33-76

    NOVOTECHNIK

    EEM 33-76

    005614, STRAIGHT, M16 5 PIN, IP67, SHIELDED, SOLDER TERMINALS, TS / TRS / IP / IPE
    €61.63 Price with VAT: €73.34 Buy Surplus As Low As €37.51 Price with VAT: €44.64
    €37.51 Price with VAT: €44.64
    NOVOTECHNIK EEM 33-64

    NOVOTECHNIK

    EEM 33-64

    005617, STRAIGHT, M8 3 PIN, IP67 - 2 METER UNSHIELDED CABLE, TS / TRS / TEX / TX2
    €47.34 Price with VAT: €56.33 Buy Surplus As Low As €28.58 Price with VAT: €34.01
    €28.58 Price with VAT: €34.01
    NOVOTECHNIK RFC 4853 603 111 201

    NOVOTECHNIK

    RFC 4853 603 111 201

    ROTARY SENSOR, TOUCHLESS, 2-PART, MECHANICALLY DECOUPLED, IP67, IP6K9K
    €187.57 Price with VAT: €223.21 Buy Surplus As Low As €112.54 Price with VAT: €133.93
    €112.54 Price with VAT: €133.93
    NOVOTECHNIK TH1-0800-102-423-102

    NOVOTECHNIK

    TH1-0800-102-423-102

    LINEAR TRANSDUCER 4-20 MAH
    €937.85 Price with VAT: €1,116.05 Buy Surplus As Low As €562.71 Price with VAT: €669.63
    €562.71 Price with VAT: €669.63
    Repair Yours Contact Us
    NOVOTECHNIK RFC-4801-609-322-256

    NOVOTECHNIK

    RFC-4801-609-322-256

    RFC-4801-609-322-256
    €151.84 Price with VAT: €180.69 Buy Surplus As Low As €91.11 Price with VAT: €108.42
    €91.11 Price with VAT: €108.42
    NOVOTECHNIK TE1-0100-101-421-101

    NOVOTECHNIK

    TE1-0100-101-421-101

    049461, LINEAR POTENTIOMETER WITH INTEGRATED SIGNAL CONDITIONER,
    €567.18 Price with VAT: €674.94 Buy Surplus As Low As €340.31 Price with VAT: €404.97
    €340.31 Price with VAT: €404.97
    NOVOTECHNIK TE1-0075-102-421-101

    NOVOTECHNIK

    TE1-0075-102-421-101

    049711, LINEAR POTENTIOMETER WITH INTEGRATED SIGNAL CONDITIONER,
    €603.80 Price with VAT: €718.52 Buy Surplus As Low As €362.64 Price with VAT: €431.54
    €362.64 Price with VAT: €431.54
    1 2 3 4 5 6 7 8 9 10 11